/*
kyippiemail.h
GPL'd, by Sebastian Kienzl <zap@scene.at>
*/

#ifndef _KYIPPIEMAIL_H_
#define _KYIPPIEMAIL_H_

#include <stdlib.h>

#include <qwidget.h>
#include <qpixmap.h>
#include <qtimer.h>

#include <ktopwidget.h>
#include <kpopmenu.h>
#include <kwm.h>
#include <kapp.h>
#include <kiconloader.h>
#include <kmsgbox.h>


class KYippieMail : public KTopLevelWidget
{
    Q_OBJECT
public:
    KYippieMail();
    ~KYippieMail();

protected:
    void paintEvent( QPaintEvent * );
    void mousePressEvent( QMouseEvent * );

public slots:
    void checkMail();
    void pixSwap();
    void about();
    
private:
    int newmail;
    int pixstatus;

    QTimer *checktimer;
    QTimer *pixtimer;

    QPopupMenu *popup;

    QPixmap nomail;
    QPixmap mail1;
    QPixmap mail2;
};

#endif
